<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Valeurs d'un entier</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 $a = 1234; // un nombre d&eacute;cimal positif
 $b = -123; // un nombre d&eacute;cimal n&eacute;gatif
 $c = 0123; // un nombre octal (&eacute;quivalent à 83 en d&eacute;cimal)
 $d = 0x1a; // un nombre hexad&eacute;cimal (&eacute;quivalent à 26 en d&eacute;cimal)
 $e = 0X1A; // un nombre hexad&eacute;cimal (&eacute;quivalent à 26 en d&eacute;cimal)
 $f = 0b11111111; // un nombre binaire (&eacute;quivalent à 255 en d&eacute;cimal)
 echo   'Notation d&eacute;cimal positif 1234  (affich&eacute;e par echo)  : $a = '.$a.WEB_EOL;
 echo   'Notation d&eacute;cimal n&eacute;gatif -123  (affich&eacute;e par echo)  : $b = '.$b.WEB_EOL;
 echo   'Notation octal  0123           (affich&eacute;e par echo)  : $c = '.$c.WEB_EOL;
 printf("Notation octal  0123           (printf en octal)    : \$c = %o",$c);
 echo WEB_EOL;
 echo   'Notation hexad&eacute;cimal  Ox1a     (affich&eacute;e par echo)  : $d = '.$d.WEB_EOL;
 printf("Notation hexad&eacute;cimal  0x1a     (printf au format %%x): \$d = %x",$d);
 echo WEB_EOL;
 echo   'Notation hexad&eacute;cimal  OX1A     (affich&eacute;e par echo)  : $e = '.$e.WEB_EOL;
 printf("Notation hexad&eacute;cimal  OX1A     (printf au format %%X): \$e = %X",$e);
 echo WEB_EOL;
 echo   'Notation binaire 0b11111111    (affich&eacute;e par echo)  : $f = '.$f.WEB_EOL;
 printf("Notation binaire 0b11111111    (printf au format %%b): \$f = %b",$f);
 echo WEB_EOL;
 ?>
 </body>
</html>

